use std::fmt::{Display, Formatter};

#[derive(Copy, Clone, Debug, Ord, PartialOrd, Eq, PartialEq)]
pub enum AwsRegion {
    UsEast1,
}

impl Display for AwsRegion {
    fn fmt(&self, f: &mut Formatter<'_>) -> std::fmt::Result {
        match self {
            AwsRegion::UsEast1 => write!(f, "us-east-1"),
        }
    }
}

#[derive(Copy, Clone, Debug, Ord, PartialOrd, Eq, PartialEq)]
pub enum AwsService {
    S3,
}

impl Display for AwsService {
    fn fmt(&self, f: &mut Formatter<'_>) -> std::fmt::Result {
        match self {
            AwsService::S3 => write!(f, "s3"),
        }
    }
}

#[derive(Copy, Clone, Debug, Ord, PartialOrd, Eq, PartialEq)]
pub enum HttpVerbs {
    Get,
}

impl Display for HttpVerbs {
    fn fmt(&self, f: &mut Formatter<'_>) -> std::fmt::Result {
        match self {
            HttpVerbs::Get => write!(f, "GET"),
        }
    }
}
